System.ServiceModel 4.0.0.0 System.Enum

By default, the message body is formatted with the Style set to . The style RPC means that the WSDL representation of messages exchanged for an operation contains parameters as if it were a remote procedure call. The following is an example.

`<wsdl:message name="IUseAndStyleCalculator_Add_InputMessage"> <wsdl:part name="n1" type="xsd:double"/> <wsdl:part name="n2" type="xsd:double"/> </wsdl:message>`

Setting the style to Document means that the WSDL representation contains a single element that represents the document that is exchanged for an operation as shown in the following example.

`<wsdl:message name="IUseAndStyleCalculator_Add_InputMessage"> <wsdl:part name="parameters" element="tns:Add"/> </wsdl:message>`

Use the to set this value.

Represents the SOAP style that determines how the WSDL metadata for the service is formatted.

- Field
  4.0.0.0
  System.ServiceModel.OperationFormatStyle

  Causes the WSDL representation to contain a single element that represents the document that is exchanged for the operation.

- Field
  4.0.0.0
  System.ServiceModel.OperationFormatStyle

  Causes the WSDL representation of messages exchanged for an operation and contains parameters as if it were a remote procedure call.